Bug 117359

Summary: [PATCH]graphics/tiff: missing file in pkg-plist
Product: Ports & Packages Reporter: bf <bf2006a>
Component: Individual Port(s)Assignee: Dirk Meyer <dinoex>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   

Description bf 2007-10-20 14:40:01 UTC
One of the binary executables is not recorded in the pkg-plist, although the corresponding manpage is there:

diff -ruN tiff.orig/pkg-plist tiff/pkg-plist
--- tiff.orig/pkg-plist	Sat Oct 20 07:39:24 2007
+++ tiff/pkg-plist	Sat Oct 20 07:39:54 2007
@@ -16,6 +16,7 @@
 bin/tiffcp
 bin/tiffdither
 bin/tiffdump
+bin/tiffgt
 bin/tiffinfo
 bin/tiffmedian
 bin/tiffset
Comment 1 Edwin Groothuis freebsd_committer 2007-10-20 14:40:22 UTC
Responsible Changed
From-To: freebsd-ports-bugs->dinoex

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Dirk Meyer freebsd_committer 2007-10-21 09:30:05 UTC
State Changed
From-To: open->feedback

can you verfiy that this tool ins installed on your system 
tiffgt was disabled in the makefile of the distribution.
Comment 3 bf 2007-10-21 13:47:30 UTC
Yes, I found the problem because I was making an
inventory of all files in /usr/local/ on my machine
that were not associated with a port.  After finding
tiffgt was not listed in the plist of any port, I
removed tiffgt, and then rebuilt and reinstalled the
graphics/tiff, using a recent snapshot of the ports
tree.  The port once again built and installed this
executable -- you can see for yourself by doing a
build and then looking through the build log
afterwards. Evidently, it hasn't really been disabled,
and the configure scripts/makefiles should be patched.

Regards,
bf


--- dinoex@FreeBSD.org wrote:

> Synopsis: [PATCH]graphics/tiff: missing file in
> pkg-plist
> 
> State-Changed-From-To: open->feedback
> State-Changed-By: dinoex
> State-Changed-When: Sun Oct 21 10:30:05 CEST 2007
> State-Changed-Why: 
> can you verfiy that this tool ins installed on your
> system
> tiffgt was disabled in the makefile of the
> distribution.
> 
> 
> http://www.freebsd.org/cgi/query-pr.cgi?pr=117359
> 


__________________________________________________
Do You Yahoo!?
Tired of spam?  Yahoo! Mail has the best spam protection around 
http://mail.yahoo.com
Comment 4 dirk.meyer 2007-10-22 04:33:49 UTC
> Yes, I found the problem because I was making an
> inventory of all files in /usr/local/ on my machine
> that were not associated with a port.  After finding
> tiffgt was not listed in the plist of any port, I
> removed tiffgt, and then rebuilt and reinstalled the
> graphics/tiff, using a recent snapshot of the ports
> tree.  The port once again built and installed this
> executable -- you can see for yourself by doing a
> build and then looking through the build log
> afterwards. Evidently, it hasn't really been disabled,
> and the configure scripts/makefiles should be patched.

Wenn on my System and on the Packag cluser this binary is not build.

Culd you Please check the output of
make clean configure.

With one of the logfiles at:
http://people.freebsd.org/~dinoex/buildlogs/graphics,tiff.html
http://pointyhat.freebsd.org/errorlogs/amd64-6-latest-logs/tiff-3.8.2_1.log

I wonder about this line:
  OpenGL support:                     no

kind regards Dirk

- Dirk Meyer, Im Grund 4, 34317 Habichtswald, Germany
- [dirk.meyer@dinoex.sub.org],[dirk.meyer@guug.de],[dinoex@FreeBSD.org]
Comment 5 bf 2007-10-22 14:09:59 UTC
I realized that I should have mentioned that I was
building the port WITH_X11=yes.  In that case, tiffgt
is built (here is the difference between the two build
transcripts, one WITH_X11=yes, and the other
WITHOUT_X11=yes:

--- /usr/make.graphics.tiff.log	Mon Oct 22 06:09:05
2007
+++ /usr/make.WITHOUT_X11.graphics.tiff.log	Mon Oct 22
06:15:39 2007
@@ -4,7 +4,6 @@
 ===>  Patching for tiff-3.8.2_1
 ===>  Applying FreeBSD patches for tiff-3.8.2_1
 ===>   tiff-3.8.2_1 depends on file:
/usr/local/bin/libtool - found
-===>   tiff-3.8.2_1 depends on file:
/usr/local/libdata/xorg/libraries - found
 ===>   tiff-3.8.2_1 depends on shared library: jpeg.9
- found
 ===>  Configuring for tiff-3.8.2_1
 /usr/bin/sed -i.bak  -e 's|^LIBTIFF_VERSION_INFO
=.*$|LIBTIFF_VERSION_INFO = 4:0:0|' 
/usr/tmp/usr/ports/graphics/tiff/work/tiff-3.8.2/libtiff/Makefile.in
@@ -136,12 +135,7 @@
 checking jpeglib.h usability... yes
 checking jpeglib.h presence... yes
 checking for jpeglib.h... yes
-checking for X... libraries /usr/local/lib, headers
/usr/local/include
-checking for gethostbyname... yes
-checking for connect... yes
-checking for remove... yes
-checking for shmat... yes
-checking for IceConnectionNumber in -lICE... yes
+checking for X... disabled
 checking for the pthreads library -lpthreads... no
 checking whether pthreads work without any flags...
no
 checking whether pthreads work with -Kthread... no
@@ -232,7 +226,7 @@
 
   C++ support:                        yes
 
-  OpenGL support:                     yes
+  OpenGL support:                     no
 
 ===>  Building for tiff-3.8.2_1
 Making all in port
@@ -489,14 +483,6 @@
 /bin/sh /usr/local/bin/libtool --tag=CC --mode=link
cc  -O2 -fno-strict-aliasing -pipe -march=athlon-tbird
-Wall -W   -L/usr/local/lib -o tiffsplit  tiffsplit.o
../libtiff/libtiff.la ../port/libport.la -ljpeg -lz
-lm -lc
 cc -O2 -fno-strict-aliasing -pipe -march=athlon-tbird
-Wall -W -o .libs/tiffsplit tiffsplit.o 
-L/usr/local/lib ../libtiff/.libs/libtiff.so
../port/.libs/libport.a /usr/local/lib/libjpeg.so -lz
-lm  -Wl,--rpath -Wl,/usr/local/lib
 creating tiffsplit
-if cc -DHAVE_CONFIG_H -I. -I. -I../libtiff
-I../libtiff -I../libtiff  -I/usr/local/include -O2
-fno-strict-aliasing -pipe -march=athlon-tbird -Wall
-W -I/usr/local/include -D_THREAD_SAFE -pthread  -O2
-fno-strict-aliasing -pipe -march=athlon-tbird -Wall
-W -MT tiffgt-tiffgt.o -MD -MP -MF
".deps/tiffgt-tiffgt.Tpo" -c -o tiffgt-tiffgt.o `test
-f 'tiffgt.c' || echo './'`tiffgt.c;  then mv -f
".deps/tiffgt-tiffgt.Tpo" ".deps/tiffgt-tiffgt.Po";
else rm -f ".deps/tiffgt-tiffgt.Tpo"; exit 1; fi
-tiffgt.c:348: warning: unused parameter 'x'
-tiffgt.c:348: warning: unused parameter 'y'
-tiffgt.c:303: warning: unused parameter 'x'
-tiffgt.c:303: warning: unused parameter 'y'
-/bin/sh /usr/local/bin/libtool --tag=CC --mode=link
cc  -O2 -fno-strict-aliasing -pipe -march=athlon-tbird
-Wall -W   -L/usr/local/lib -o tiffgt  tiffgt-tiffgt.o
../libtiff/libtiff.la ../port/libport.la
-L/usr/local/lib -lglut  -lSM -lICE -lXmu -lXi  -lGLU
-lGL -L/usr/local/lib -lX11  -lm -ljpeg -lz -lm -lc
-cc -O2 -fno-strict-aliasing -pipe -march=athlon-tbird
-Wall -W -o .libs/tiffgt tiffgt-tiffgt.o 
-L/usr/local/lib ../libtiff/.libs/libtiff.so
../port/.libs/libport.a -lglut
/usr/local/lib/libXmu.so /usr/local/lib/libXt.so
/usr/local/lib/libSM.so /usr/local/lib/libICE.so
/usr/local/lib/libXi.so /usr/local/lib/libXext.so
-lGLU -lGL /usr/local/lib/libX11.so
/usr/local/lib/libXau.so /usr/local/lib/libXdmcp.so
-lrpcsvc /usr/local/lib/libjpeg.so -lz -lm 
-Wl,--rpath -Wl,/usr/local/lib
-creating tiffgt
 Making all in contrib
 Making all in acorn
 Making all in addtiffo








So the port Makefile should be changed by something
like this:


diff -ruN tiff.orig/Makefile tiff/Makefile
--- tiff.orig/Makefile	Sat Jan 13 20:34:03 2007
+++ tiff/Makefile	Mon Oct 22 06:43:27 2007
@@ -27,8 +27,10 @@
 
 .if defined(WITH_X11) && !defined(WITHOUT_X11)
 USE_XLIB=	yes
+PLIST_SUB+=	X11=""
 .else
 CONFIGURE_ARGS+=	--without-x --without-libgl
+PLIST_SUB+=	X11="@comment "
 .endif
 
 MAN1=	bmp2tiff.1 tiff2pdf.1 fax2ps.1 fax2tiff.1
gif2tiff.1 pal2rgb.1 \
diff -ruN tiff.orig/pkg-plist tiff/pkg-plist
--- tiff.orig/pkg-plist	Sat Apr  8 16:22:41 2006
+++ tiff/pkg-plist	Mon Oct 22 06:39:17 2007
@@ -16,6 +16,7 @@
 bin/tiffcp
 bin/tiffdither
 bin/tiffdump
+%%X11%%bin/tiffgt
 bin/tiffinfo
 bin/tiffmedian
 bin/tiffset





Regards, 

        bf


__________________________________________________
Do You Yahoo!?
Tired of spam?  Yahoo! Mail has the best spam protection around 
http://mail.yahoo.com
Comment 6 dfilter service freebsd_committer 2007-10-24 11:29:17 UTC
dinoex      2007-10-24 10:29:11 UTC

  FreeBSD ports repository

  Modified files:
    graphics/tiff        Makefile pkg-plist 
  Log:
  - fix pkg-list for option WITH_X11
  PR:             117359
  Submitted by:   bf <bf2006a@yahoo.com>
  
  - cleanup dependencies for option WITH_X11
    USE_XORG and USE_GL now defined
  
  Revision  Changes    Path
  1.64      +4 -1      ports/graphics/tiff/Makefile
  1.29      +1 -0      ports/graphics/tiff/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Dirk Meyer freebsd_committer 2007-11-10 20:11:45 UTC
State Changed
From-To: feedback->closed

committed, thanks.